import 'dart:async';
import 'dart:typed_data';

import 'package:flutter/services.dart';

class Handwritingprocessing {
  static const MethodChannel _channel =
      const MethodChannel('handwritingprocessing');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<dynamic> inRange(Uint8List byteData, double minh, double mins,
      double minv, double maxh, double maxs, double maxv) async {
    /// Variable to store operation result
    final dynamic result = await _channel.invokeMethod('inRange', {
      'byteData': byteData,
      'minh': minh,
      'mins': mins,
      'minv': minv,
      'maxh': maxh,
      'maxs': maxs,
      'maxv': maxv
    });
    return result;
  }

  static Future<dynamic> adaptiveThreshold(
      Uint8List byteData,
      double maxValue,
      int adaptiveMethod,
      int thresholdType,
      int blockSize,
      double constantValue) async {
    final dynamic result = await _channel.invokeMethod('adaptiveThreshold', {
      'byteData': byteData,
      'maxValue': maxValue,
      'adaptiveMethod': adaptiveMethod,
      'thresholdType': thresholdType,
      'blockSize': blockSize,
      'constantValue': constantValue
    });
    return result;
  }
}
